import request from '@/utils/request'

// 查询上报资料列表
export function listSbzl(query) {
  return request({
    url: '/szxc/sbzl/list',
    method: 'get',
    params: query
  })
}

// 查询上报资料详细
export function getSbzl(id) {
  return request({
    url: '/szxc/sbzl/' + id,
    method: 'get'
  })
}

// 新增上报资料
export function addSbzl(data) {
  return request({
    url: '/szxc/sbzl',
    method: 'post',
    data: data
  })
}

// 修改上报资料
export function updateSbzl(data) {
  return request({
    url: '/szxc/sbzl',
    method: 'put',
    data: data
  })
}

// 删除上报资料
export function delSbzl(id) {
  return request({
    url: '/szxc/sbzl/' + id,
    method: 'delete'
  })
}
